Redmine - Defect #6499

Files with leading or trailing whitespace are not shown in git.

2010-09-26 21:05 - Eric Davis

Status: Closed Start date: 2010-09-26
Priority: Normal Due date:

Assignee: Eric Davis % Done: 100%
Category: SCM Estimated time: 0.00 hour
Target version: 1.0.2

Resolution: Fixed Affected version:

Description

See #6054 for similar issue.

" this is a file name that should work.txt "

Associated revisions

Revision 4189 - 2010-09-26 23:54 - Eric Davis

Support leading and trailing spaces in filenames or directories in the git adapter. #6499

Contributed by Felix Schafer

History

#1 - 2010-09-26 22:27 - Felix Schéfer

- Status changed from New to 7

See http://github.com/thegcat/redmine/commit/1200f73f7e306f7c0fa3c354a50add12cdci1bi5e, should correct the places this occurs.

#2 - 2010-09-26 22:30 - Felix Schéfer
- Assignee changed from Felix Schéfer to Eric Davis

- Target version set to 1.0.2

#3 - 2010-09-26 23:50 - Eric Davis
- Status changed from 7 to Resolved
- % Done changed from 0 to 100

- Resolution set to Fixed

Thanks for figuring this out. Those regular expressions are pretty nasty.

r4189

#4 - 2010-09-27 00:21 - Eric Davis

- Status changed from Resolved to Closed

Merged into 1.0-stable

2025-05-17

1/1



https://www.redmine.org/issues/6054
http://github.com/thegcat/redmine/commit/1200f73f7e306f7c0fa3c354a50add12cdc1b15e
https://www.redmine.org/projects/redmine/repository/svn/revisions/4189
http://www.tcpdf.org

